<!-- Dependency resources -->
<link rel="import" href="../bower_components/polymer/polymer-element.html">
<link rel="import" href="../bower_components/vaadin-ordered-layout/vaadin-horizontal-layout.html">

<dom-module id="portal-window-template">

    <template>

        <vaadin-horizontal-layout height-full width-full class="portal-view">
            <pw-modal-menu />
            <pw-menu-bar />
            <pw-content />
        </vaadin-horizontal-layout>
    </template>

    <script>
    class PortalWindowTemplate extends Polymer.Element {
      static get is() {
        return 'portal-window-template';
      }
      ready() {
        super.ready();
      }
    }
    window.customElements.define(PortalWindowTemplate.is, PortalWindowTemplate);
    </script>
</dom-module>